be.vlaanderen.mercurius.efact.df019.v1

## Class ObjectFactory

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.vlaanderen.mercurius.efact.df019.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.efact.df019.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancelledCareServiceType` | `createCancelledCareServiceType()` Create an instance of `CancelledCareServiceType`
    `CareServiceAmountsType` | `createCareServiceAmountsType()` Create an instance of `CareServiceAmountsType`
    `CareServiceType` | `createCareServiceType()` Create an instance of `CareServiceType`
    `EfactDf019NotifyRectifications` | `createEfactDf019NotifyRectifications()` Create an instance of `EfactDf019NotifyRectifications`
    `ImpactedInvoiceType` | `createImpactedInvoiceType()` Create an instance of `ImpactedInvoiceType`
    `RectificationInformation` | `createRectificationInformation()` Create an instance of `RectificationInformation`
    `RectificationInvoiceLineType` | `createRectificationInvoiceLineType()` Create an instance of `RectificationInvoiceLineType`
    `RectificationType` | `createRectificationType()` Create an instance of `RectificationType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.efact.df019.v1

  - ### Method Detail

    - #### createEfactDf019NotifyRectifications

          public EfactDf019NotifyRectifications createEfactDf019NotifyRectifications()

      Create an instance of `EfactDf019NotifyRectifications`

    - #### createRectificationInformation

          public RectificationInformation createRectificationInformation()

      Create an instance of `RectificationInformation`

    - #### createRectificationType

          public RectificationType createRectificationType()

      Create an instance of `RectificationType`

    - #### createImpactedInvoiceType

          public ImpactedInvoiceType createImpactedInvoiceType()

      Create an instance of `ImpactedInvoiceType`

    - #### createRectificationInvoiceLineType

          public RectificationInvoiceLineType createRectificationInvoiceLineType()

      Create an instance of `RectificationInvoiceLineType`

    - #### createCareServiceType

          public CareServiceType createCareServiceType()

      Create an instance of `CareServiceType`

    - #### createCancelledCareServiceType

          public CancelledCareServiceType createCancelledCareServiceType()

      Create an instance of `CancelledCareServiceType`

    - #### createCareServiceAmountsType

          public CareServiceAmountsType createCareServiceAmountsType()

      Create an instance of `CareServiceAmountsType`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.